Bug 158674 - [PATCH] security/gnupg fix gpg2 Assertion failed: (data), function mpi_from_sexp, file pkglue.c, line 41.
[PATCH] security/gnupg fix gpg2 Assertion failed: (data), function mpi_from_s...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: dougb
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-05 21:10 UTC by atkin901
Modified: 2011-07-14 09:30 UTC (History)
0 users

See Also:


Attachments
file.diff (756 bytes, patch)
2011-07-05 21:10 UTC, atkin901
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description atkin901 2011-07-05 21:10:10 UTC
If you try to sign something in the recent gnupg 2.0.17 w/libcrypt 5.0 you will receive the following error:

enigmail> /usr/local/bin/gpg2 --charset utf8 --batch --no-tty --status-fd 2 --comment Using GnuPG with Mozilla - http://enigmail.mozdev.org/ -t --clearsign -u <atkin901@gmail.com> --use-agent
Warning: using insecure memory!
Assertion failed: (data), function mpi_from_sexp, file pkglue.c, line 41.

This is first described here:

http://www.gossamer-threads.com/lists/gnupg/gcrypt/55063

and the appropriate patch is found here:

http://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=blobdiff_plain;f=g10/pkglue.c;h=5c47511f7236cbde17a2a983bc597950be830475;hp=cbfe21ea89f4088033e660c5210178a535fb86c9;hb=13290b0e0fcf3a493e4848b29329d56b69bc4dd9;hpb=af497d52c3c88d1cdbedf1c7c2ce2f21f2bc9ad4

Fix: Apply the attached patch recompile and re-install.

Patch attached with submission follows:
How-To-Repeat: Attempt to sign with gnupg 2.0.17 w/libcrypt 5.0
Comment 1 Edwin Groothuis freebsd_committer 2011-07-05 21:10:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 thompsa freebsd_committer 2011-07-06 23:17:48 UTC
The patch fixes the problem for me.
Comment 3 jhelfman 2011-07-07 17:22:42 UTC
The patch fixes the issue, for me, as well.

-- 
Jason Helfman
System Administrator
experts-exchange.com
http://www.experts-exchange.com/M_4830110.html
E4AD 7CF1 1396 27F6 79DD  4342 5E92 AD66 8C8C FBA5
Comment 4 rpsfa 2011-07-09 22:29:31 UTC
This patch also resolves the error for me.
Comment 5 dfilter freebsd_committer 2011-07-14 09:19:09 UTC
dougb       2011-07-14 08:19:00 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile 
  Added files:
    security/gnupg/files patch-g10__pkglue.c 
  Log:
  Add a patch to handle an ABI change relative to libgcrypt 1.5
  
  Confirmed upstream:
  http://lists.gnupg.org/pipermail/gnupg-users/2011-July/042333.html
  
  PR:             ports/158674
  Submitted by:   Mark Atkinson <atkin901@gmail.com>
  Approved by:    early maintainer timeout/portmgr (pav)
  
  Revision  Changes    Path
  1.140     +1 -1      ports/security/gnupg/Makefile
  1.1       +24 -0     ports/security/gnupg/files/patch-g10__pkglue.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dougb freebsd_committer 2011-07-14 09:19:44 UTC
State Changed
From-To: open->closed


Committed, thanks! 


Comment 7 dougb freebsd_committer 2011-07-14 09:19:44 UTC
Responsible Changed
From-To: kuriyama->dougb


I made the change.